# ClassificationFeatureMetadata (ARX GUI Documentation)

org.deidentifier.arx.aggregates.classification

## Class ClassificationFeatureMetadata

- java.lang.Object
- - org.deidentifier.arx.aggregates.classification.ClassificationFeatureMetadata

-     public class ClassificationFeatureMetadata
      extends java.lang.Object

  Metadata about a single feature

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassificationFeatureMetadata(java.lang.String attribute, DataType<?> type)` Creates a new instance

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Returns the name of the feature
    `boolean` | `isNumeric()` Returns whether this is a numeric attribute
    `protected void` | `updateMinMax(java.lang.String value)` Updates minimum and maximum for feature scaling

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassificationFeatureMetadata

          public ClassificationFeatureMetadata(java.lang.String attribute,
                                       DataType<?> type)

      Creates a new instance
      Parameters:
        `attribute` -
        `type` -

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns the name of the feature
      Returns:

    - #### isNumeric

          public boolean isNumeric()

      Returns whether this is a numeric attribute
      Returns:

    - #### updateMinMax

          protected void updateMinMax(java.lang.String value)

      Updates minimum and maximum for feature scaling
      Parameters:
        `value` -